searching for changes
changeset:   5106:c63e54409236
tag:         tip
user:        root@silver
date:        Thu Jun 14 13:48:53 2007 -0400
summary:     Added MFG in HDA /proc output

diff -r 96495fe7cc13 -r c63e54409236 pci/hda/hda_proc.c
--- a/pci/hda/hda_proc.c	Thu Jun 14 12:58:23 2007 +0200
+++ b/pci/hda/hda_proc.c	Thu Jun 14 13:48:53 2007 -0400
@@ -250,6 +250,12 @@ static void print_codec_info(struct snd_
 	snd_iprintf(buffer, "Vendor Id: 0x%x\n", codec->vendor_id);
 	snd_iprintf(buffer, "Subsystem Id: 0x%x\n", codec->subsystem_id);
 	snd_iprintf(buffer, "Revision Id: 0x%x\n", codec->revision_id);
+
+	if (codec->mfg)
+		snd_iprintf(buffer, "Modem Function Group: 0x%x\n", codec->mfg);
+	else
+		snd_iprintf(buffer, "No Modem Function Group found\n");
+
 	if (! codec->afg)
 		return;
 	snd_iprintf(buffer, "Default PCM:\n");

